Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class SingleResponse

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.SingleResponse

All Implemented Interfaces:
  DEREncodable

public class SingleResponse
extends ASN1Encodable

Constructor Summary
`SingleResponse(ASN1Sequence seq)`
`SingleResponse(CertID certID, CertStatus certStatus, DERGeneralizedTime thisUpdate, DERGeneralizedTime nextUpdate, X509Extensions singleExtensions)`

Method Summary
`CertID` | `getCertID()`
`CertStatus` | `getCertStatus()`
`static SingleResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static SingleResponse` | `getInstance(java.lang.Object obj)`
`DERGeneralizedTime` | `getNextUpdate()`
`X509Extensions` | `getSingleExtensions()`
`DERGeneralizedTime` | `getThisUpdate()`
`DERObject` | `toASN1Object()` SingleResponse ::= SEQUENCE { certID CertID, certStatus CertStatus, thisUpdate GeneralizedTime, nextUpdate [0] EXPLICIT GeneralizedTime OPTIONAL, singleExtensions [1] EXPLICIT Extensions OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleResponse

    public SingleResponse(CertID certID,
                          CertStatus certStatus,
                          DERGeneralizedTime thisUpdate,
                          DERGeneralizedTime nextUpdate,
                          X509Extensions singleExtensions)

### SingleResponse

    public SingleResponse(ASN1Sequence seq)

Method Detail

### getInstance

    public static SingleResponse getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### getInstance

    public static SingleResponse getInstance(java.lang.Object obj)

### getCertID

    public CertID getCertID()

### getCertStatus

    public CertStatus getCertStatus()

### getThisUpdate

    public DERGeneralizedTime getThisUpdate()

### getNextUpdate

    public DERGeneralizedTime getNextUpdate()

### getSingleExtensions

    public X509Extensions getSingleExtensions()

### toASN1Object

    public DERObject toASN1Object()

        SingleResponse ::= SEQUENCE {
                certID                       CertID,
                certStatus                   CertStatus,
                thisUpdate                   GeneralizedTime,
                nextUpdate         [0]       EXPLICIT GeneralizedTime OPTIONAL,
                singleExtensions   [1]       EXPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD